Skip to main content
  • Queries event prize information.
  • Contact our support team for the event code this service requires.

Path

Headers

FieldTypeRequiredDescription
AuthorizationstringYesToken we provide

Request parameters

FieldTypeRequiredSignedDescription
channelIDnumberYes✓Channel ID (use 1 if you have no channels)
activityIVstringYes✓Event code
signstringYesSignature. See Signature for how to generate it

Response

Success (the HTTP status code is always 200; check status.code for the result)
FieldTypeDescription
dataobject
data.rankListobject[]Event prize list
data.rankList[].activityNamestringEvent name
data.rankList[].activityIVstringEvent code
data.rankList[].ranknumberEvent ranking
data.rankList[].channelIdnumberChannel ID
data.rankList[].accountstringMember account
data.rankList[].currencystringCurrency (contact our business team)
data.rankList[].prizenumberEvent reward
data.rankList[].prizePayoutnumberEvent reward paid out
data.rankList[].isPrizePayoutbooleanWhether the event reward has been paid out (true: paid, false: not paid)
data.rankList[].wagersIdnumberEvent result group ID
data.rankList[].transactionIdstringUnique transaction ID of the event reward payout
data.rankList[].prizePayoutTimestringEvent reward payout time (see Time format)
statusobjectResponse status. See Response format

Response example